Skip to main content
POST
/
devices
/
{device_id}
/
ping
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
response = client.devices.ping(
    device_id="dvc_123",
    timeout_nanos=1000000000,
)
print(response.code)
{
  "code": "success",
  "round_trip_nanos": 1000000000
}
ScopeRequired
devices:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

device_id
string
required

The unique identifier of the device.

Example:

"dvc_123"

Body

application/json
timeout_nanos
integer<int64>
required

The timeout in nanoseconds to wait for the ping operation to complete. The maximum timeout is 10 seconds.

Example:

1000000000

Response

200 - application/json

Successfully pinged the device.

code
enum<string>
required

The result of the ping operation.

Available options:
success,
timeout
round_trip_nanos
integer<int64>

The round trip time in nanoseconds to send the ping to the device and receive the response. Only present when code is success.

Example:

1000000000

Last modified on March 13, 2026